> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kalent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List dynamic sequences

> Returns paginated sequence blueprints (dynamic sequences) for a sourcing.

<Card title="First time? Set up Authentication" icon="key" href="/authentication">
  Learn how to authenticate your API requests with your API key.
</Card>

Lists sequence blueprints attached to a sourcing. Use a returned `blueprintId` with [Start sequence blueprint](/api-reference/start-sequence-blueprint).

## Path parameters

<ParamField path="sourcingId" type="string" required>
  Sourcing id.
</ParamField>

## Query parameters

<ParamField query="page" type="integer" default="0">
  Zero-based page index.
</ParamField>

<ParamField query="pageSize" type="integer" default="20">
  Page size (max 50).
</ParamField>

<ParamField query="search" type="string">
  Optional case-insensitive filter on blueprint name.
</ParamField>

## Response

When `success` is `true`, `data` contains:

* `sequenceBlueprints` — each item includes:
  * `blueprintId`
  * `name`
  * `sourcingId`
  * `createdAt`
  * `updatedAt`
  * `steps`
  * `stepCount`
  * `channels` — unique outreach types used in the blueprint (for example `LINKEDIN`, `EMAIL`)
* `pagination` — `page`, `pageSize`, `total`, `hasNextPage`

Returned steps do not expose internal `workspaceId` or `userId` fields.

```json theme={null}
{
  "success": true,
  "data": {
    "sequenceBlueprints": [
      {
        "blueprintId": "bp_123",
        "name": "LinkedIn outreach",
        "sourcingId": "sourcing_123",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-02T00:00:00.000Z",
        "steps": [],
        "stepCount": 0,
        "channels": []
      }
    ],
    "pagination": {
      "page": 0,
      "pageSize": 20,
      "total": 1,
      "hasNextPage": false
    }
  }
}
```

## Typical flow

1. [Create sourcing](/api-reference/create-sourcing)
2. [Add talent to sourcing](/api-reference/add-talent-to-sourcing)
3. **List dynamic sequences** (this endpoint) or [Create sequence blueprint](/api-reference/create-sequence-blueprint)
4. [Start sequence blueprint](/api-reference/start-sequence-blueprint)
